Update VM configuration
curl --request PATCH \
--url https://api.cloud.onidel.com/vm/{vm_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"os_id": 2,
"enable_ipv6": false,
"name": "new-service-name",
"firewall_group_id": "e4d3c2b1-5678-9abc-def0-fedcba098765",
"disable_firewall": false
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}"
payload = {
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"os_id": 2,
"enable_ipv6": False,
"name": "new-service-name",
"firewall_group_id": "e4d3c2b1-5678-9abc-def0-fedcba098765",
"disable_firewall": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe',
os_id: 2,
enable_ipv6: false,
name: 'new-service-name',
firewall_group_id: 'e4d3c2b1-5678-9abc-def0-fedcba098765',
disable_firewall: false
})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Virtual Machines
Update VM configuration
Update VM configuration
PATCH
/
vm
/
{vm_id}
Update VM configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Service UUID that need to be considered for filter
Body
application/json
Team ID that need to be considered for filter. Default team will be used if not provided.
Example:
"96616865-475e-4191-aba5-f89f0a4b71fe"
OS Template to reinstall
Example:
2
Enable or disable IPv6
Example:
false
Change service name
Example:
"new-service-name"
Firewall group UUID to attach to the VM
Example:
"e4d3c2b1-5678-9abc-def0-fedcba098765"
Set to true to detach the firewall group from the VM
Example:
false
Response
Successful operation
⌘I